local assets=
{
    Asset("ANIM", "anim/poison.zip"),
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.persists = false
    
    inst.AnimState:SetBank("splash")
    inst.AnimState:SetBuild("poison")
    inst.AnimState:PlayAnimation("splash")
    inst.AnimState:SetBloomEffectHandle( "shaders/anim.ksh" )

    inst:AddTag("FX")
    
    local i = .9

    local dt = 1/20
    local sound = true
    inst:DoPeriodicTask(dt, function() 
        if sound then inst.SoundEmitter:PlaySound("dontstarve/frog/splash") sound = false end
        i =i - dt*2
        --r = r - dt*3
        if i <= 0 then
            inst:Remove()
        end
    end)

    return inst
end

return Prefab( "common/poison", fn, assets, prefabs) 

