-- This information tells other players more about the mod
name = "Stinger Pack"
description = "Adds multiple recipies to the build list that use bees."
author = "mrfatpockets (1dabread)"
version = "0.6b"

-- This is the URL name of the mod's thread on the forum; the part after the index.php? and before the first & in the URL
-- Example:
-- http://forums.kleientertainment.com/index.php?/files/file/202-sample-mods/
-- becomes
-- /files/file/202-sample-mods/
forumthread = "/files/file/887-stinger-pack/"

-- This lets other players know if your mod is out of date, update it to match the current version in the game
api_version = 6

dont_starve_compatible = true
reign_of_giants_compatible = true

-- Configuration options
configuration_options =
{
	{
		name = "costmultiplier",
		label = "Item Costs",
		options = 
		{
			{description = "Cheap", data = .5},
			{description = "Normal", data = 1},
			{description = "Expensive", data = 2}
		},
		default = 1,
	},
	{
		name = "dmgmultiplier",
		label = "Item Damage",
		options = 
		{
			{description = "Weak", data = .5},
			{description = "Normal", data = 1},
			{description = "Ouch", data = 3}
		},
		default = 1,
	},
	{
		name = "usemultiplier",
		label = "Item Uses",
		options = 
		{
			{description = "Few", data = .5},
			{description = "Normal", data = 1},
			{description = "Many", data = 2}
		},
		default = 1,
	},
}

icon_atlas = "modicon.xml"
icon = "modicon.tex"